Code::TidyAll::Plugin::JSHint(3pm)

NAME
Code::TidyAll::Plugin::JSHint - Use jshint with tidyall

VERSION
version 0.85

SYNOPSIS
   In configuration:

   ; With default settings
   ;
   [JSHint]
   select = static/**/*.js

   ; Specify options inline
   ;
   [JSHint]
   select = static/**/*.js
   options = bitwise camelcase latedef

   ; or refer to a jshint.json config file in the same directory
   ;
   [JSHint]
   select = static/**/*.js
   argv = --config $ROOT/jshint.json

   where jshint.json looks like

   {
      "bitwise": true,
      "camelcase": true,
      "latedef": true
   }

DESCRIPTION
Runs jshint <http://www.jshint.com/>, a JavaScript validator, and dies if any problems were found.

INSTALLATION
See installation options at jshint <http://www.jshint.com/platforms/>. One easy method is to install npm <https://npmjs.org/>, then run

    npm install jshint -g

CONFIGURATION
This plugin accepts the following configuration options:

  argv
Arguments to pass to "jshint".

  cmd
The path for the "jshint" command. By default this is just "jshint", meaning that the user's "PATH" will be searched for the command.

  options
A whitespace separated string of options, as documented by jshint <http://www.jshint.com/docs/>. These will be written to a temporary config file and passed as "--config" argument.

SUPPORT
Bugs may be submitted at <https://github.com/houseabsolute/perl-code-tidyall/issues>.

SOURCE
The source code repository for Code-TidyAll can be found at <https://github.com/houseabsolute/perl-code-tidyall>.

AUTHORS

•   Jonathan Swartz <swartz@pobox.com>

•   Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 - 2025 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.